Bug 928482 - Review Request: schroedinger-cat-kde-theme - Schrödinger's Cat KDE Theme
Summary: Review Request: schroedinger-cat-kde-theme - Schrödinger's Cat KDE Theme
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 928303
TreeView+ depends on / blocked
 
Reported: 2013-03-27 18:11 UTC by Martin Bříza
Modified: 2013-04-03 08:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 08:33:02 UTC
jreznik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Bříza 2013-03-27 18:11:09 UTC
Spec URL: http://mbriza.fedorapeople.org/schroedinger-cat-kde-theme.spec
SRPM URL: http://mbriza.fedorapeople.org/schroedinger-cat-kde-theme-18.91.0-1.fc18.src.rpm
Description: This is Schrödinger's Cat KDE Theme Artwork containing KDM theme, KSplash theme and Plasma Workspaces theme.
Fedora Account System Username: mbriza

Comment 1 Martin Bříza 2013-03-27 18:28:33 UTC
Fixed the preview screenshots, bumped upstream version:

Spec URL: http://mbriza.fedorapeople.org/schroedinger-cat-kde-theme.spec
SRPM URL: http://mbriza.fedorapeople.org/schroedinger-cat-kde-theme-18.91.1-1.fc18.src.rpm

Comment 2 Jaroslav Reznik 2013-03-28 14:40:19 UTC
Name: ok, follows schroedinger-cat-backgrounds package name
Summary: ok
Group is not needed anymore
License: ok
URL: ok
Sources: ok
Build root is not needed anymore (and rm -rf %{buildroot} in %install section)
Requires: ok
Provides: ok

Package builds: ok

rpmlint schroedinger-cat-kde-theme-18.91.1-1.fc18.src.rpm 
schroedinger-cat-kde-theme.src: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's

Spelling is correct, ok

schroedinger-cat-kde-theme.src:61: W: macro-in-comment %{buildroot}
schroedinger-cat-kde-theme.src:61: W: macro-in-comment %{_kde4_appsdir}

Just TODO comments, ok

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint /home/jreznik/rpmbuild/RPMS/noarch/schroedinger-cat-kde-theme-18.91.1-1.fc14.noarch.rpm
schroedinger-cat-kde-theme.noarch: W: unexpanded-macro dependency schroedinger-cat-backgrounds-kde >= %{backgrounds-kde-version} %{backgrounds
schroedinger-cat-kde-theme.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/SchroedingerCat/2048x1536/schroedinger-cat.jpg ../../../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/SchroedingerCat/1280x1024/Schroedinger_Cat.jpg ../../../../../../backgrounds/schroedinger-cat/default/normalish/schroedinger-cat.jpg
schroedinger-cat-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/SchroedingerCat/1920x1200/Schroedinger_Cat.jpg ../../../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/kdm/themes/SchroedingerCat/system-logo-white.png ../../../../../pixmaps/system-logo-white.png
schroedinger-cat-kde-theme.noarch: W: dangling-relative-symlink /usr/share/kde4/apps/ksplash/Themes/SchroedingerCat/2048x1536/logo.png ../../../../../../pixmaps/system-logo-white.png
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

Symlinks are known, it's ok, provided by required package.

Btw. KSplash description in System Settings does not show correctly (maybe UTF-8 or ').

Otherwise it's fairly simple packages, based on previously approved one.

Comment 3 Martin Bříza 2013-03-28 15:12:07 UTC
Fixed the description in ksplash and the unexpanded-macro warning:

Spec URL: http://mbriza.fedorapeople.org/schroedinger-cat-kde-theme.spec
SRPM URL: http://mbriza.fedorapeople.org/schroedinger-cat-kde-theme-18.91.3-1.fc18.src.rpm

Comment 4 Jaroslav Reznik 2013-03-28 15:37:07 UTC
Thanks -> APPROVED.

Comment 5 Martin Bříza 2013-03-28 15:41:17 UTC
New Package SCM Request
=======================
Package Name: schroedinger-cat-kde-theme
Short Description: Schrödinger's Cat KDE Theme
Owners: mbriza jreznik
Branches: f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-03-28 15:44:49 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.